> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Create template

> Create a new message template



## OpenAPI

````yaml POST /templates
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /templates:
    post:
      tags:
        - Templates
      summary: Create template
      description: Create a new message template
      operationId: createTemplate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - body
              properties:
                name:
                  type: string
                body:
                  type: string
                variables:
                  type: object
              example:
                name: OTP Template
                body: >-
                  Dear {{name}}, your OTP is {{otp}}. Valid for {{validity}}
                  minutes.
                variables:
                  name: string
                  otp: string
                  validity: number
      responses:
        '201':
          description: Template created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Template'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Template:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        name:
          type: string
        body:
          type: string
        variables:
          type: object
        status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      example:
        id: d0e1f2a3-b4c5-6789-de01-234567890123
        tenant_id: c3d4e5f6-a7b8-9012-cdef-123456789012
        name: OTP Template
        body: Dear {{name}}, your OTP is {{otp}}. Valid for {{validity}} minutes.
        variables:
          name: string
          otp: string
          validity: number
        status: active
        created_at: '2026-01-20T14:00:00Z'
        updated_at: '2026-02-05T16:45:00Z'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      example:
        error: Invalid request parameters
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````